#ifndef HARDWARE_PROFILE_H
#define HARDWARE_PROFILE_H

// Maximum System frequency of 80MHz for PIC32MX3xx, PIC32MX4xx, 
// PIC32MX5xx, PIC32MX6xx and PIC32MX7xx devices.
#define SYS_FREQ (80000000L)

// Common macros 
// Clock frequency values
// These directly influence timed events using the Tick module.  They also are used for UART and SPI baud rate generation.
#define GetSystemClock()		SYS_FREQ			// Hz
#define GetInstructionClock()	(GetSystemClock()/1)	// 
#define GetPeripheralClock()	(GetSystemClock()/1)	// Divisor is dependent on the value of FPBDIV set(configuration bits).

// LED on A4, USER switch on C13
#define mLED              LATAbits.LATA4
#define BlinkLED() (mLED = ((ReadCoreTimer() & 0x0800000) == 0))
#define InitLED() (TRISAbits.TRISA4 = 0);

// Switch ON all the LEDs to indicate Error.
#define Error()   (LATA = 0xFF)
	
#define ReadSwitchStatus() (PORTReadBits(IOPORT_C, BIT_13) & BIT_13)

#endif  //HARDWARE_PROFILE_H
